org.apache.xalan.xsltc.runtime

## Class Node

- java.lang.Object
- - org.apache.xalan.xsltc.runtime.Node

    public class Node
    extends java.lang.Object

This class is used as "wrapper" for dom nodes. Wrappers are needed when a node is passed as a parameter to a template.

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

### Field Summary

Fields
`int` `node`
`int` `type`

### Constructor Summary

Constructors
Constructor and Description
`Node(int n, int t)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### node

    public int node

#### type

    public int type

### Constructor Detail

#### Node

    public Node(int n,
        int t)